org.eclipse.ecf.core.util

## Class ProxyAddress

- java.lang.Object
- - org.eclipse.ecf.core.util.ProxyAddress

All Implemented Interfaces:
  Serializable

    public class ProxyAddress
    extends Object
    implements Serializable

Class to represent an proxy address

See Also:
  Serialized Form

### Field Summary

Fields
`protected static int` `DEFAULT_PORT`
`protected String` `hostname`
`protected int` `port`

### Constructor Summary

Constructors
Constructor and Description
`ProxyAddress(String hostname)`
`ProxyAddress(String hostname, int port)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`String` `getHostName()`
`int` `getPort()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_PORT

    protected static final int DEFAULT_PORT

See Also:
  Constant Field Values

#### port

    protected int port

#### hostname

    protected String hostname

### Constructor Detail

#### ProxyAddress

    public ProxyAddress(String hostname,
                        int port)

#### ProxyAddress

    public ProxyAddress(String hostname)

### Method Detail

#### getHostName

    public String getHostName()

#### getPort

    public int getPort()

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`